Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Static Public Attributes | List of all members
cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_ > Struct Template Reference

`#include <gemm_traits.h>`

Inheritance diagram for cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_ >:

## Public Types
typedef GemmConfig_::ScalarB | Scalar
| The input scalar. More...
typedef GemmConfig_::MultiplyAdd::ScalarB | MultiplyAddScalar
| The scalar stored in shared memory. More...
typedef GemmGlobalTileTraits< GemmOperand::kB, MatrixLayout::kColumnMajor, Scalar const, Shape< 1, GemmConfig_::OutputTile::kH, GemmConfig_::OutputTile::kD >, Shape< 1, GemmConfig_::kThreads/GemmConfig_::OutputTile::kD, GemmConfig_::OutputTile::kD >, GemmConfig_::kScalarsPerLdgB > | GlobalTileTraits
| The traits class to build the iterator to load data from global memory for B^N. More...

## Static Public Attributes
static MatrixLayout::Kind const | kLayout = MatrixLayout::kColumnMajor
| The layout. More...
static int const | kScalarsIn4B = sizeof(MultiplyAddScalar) > 4 ? 1 : 4 / sizeof(MultiplyAddScalar)
| The number of scalars in 4B. More...
static int const | kSkewB
| The skew for B. More...

## Member Typedef Documentation

## ◆ GlobalTileTraits

template<typename GemmConfig_ >

typedef GemmGlobalTileTraits< GemmOperand::kB, MatrixLayout::kColumnMajor, Scalar const, Shape<1, GemmConfig_::OutputTile::kH, GemmConfig_::OutputTile::kD>, Shape<1, GemmConfig_::kThreads / GemmConfig_::OutputTile::kD, GemmConfig_::OutputTile::kD>, GemmConfig_::kScalarsPerLdgB> cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_ >::GlobalTileTraits

## ◆ MultiplyAddScalar

template<typename GemmConfig_ >

typedef GemmConfig_::MultiplyAdd::ScalarB cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_ >::MultiplyAddScalar

## ◆ Scalar

template<typename GemmConfig_ >

typedef GemmConfig_::ScalarB cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_ >::Scalar

## Member Data Documentation

## ◆ kLayout

template<typename GemmConfig_ >

MatrixLayout::Kind const cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_ >::kLayout = MatrixLayout::kColumnMajor
| static

## ◆ kScalarsIn4B

template<typename GemmConfig_ >

int const cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_ >::kScalarsIn4B = sizeof(MultiplyAddScalar) > 4 ? 1 : 4 / sizeof(MultiplyAddScalar)
| static

## ◆ kSkewB

template<typename GemmConfig_ >

int const cutlass::gemm::GemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_ >::kSkewB
| static

Initial value:
= 128 / sizeof(MultiplyAddScalar) / GemmConfig_::kScalarsPerStsB /
GlobalTileTraits::Threads::kW * kScalarsIn4B

The documentation for this struct was generated from the following file:

- gemm_traits.h